MOUNTD(8)

NAME
mountd - service remote NFS mount requests

SYNOPSIS
/sbin/mountd [-nr] [exportsfile]

DESCRIPTION
Mountd is the server for NFS mount requests from other client machines. Mountd listens for service requests at the port indicated in the NFS server specification; see RFC1094.

Options and operands available for mountd:

-n  The -n option allows non-root mount requests to be served. This should only be specified if there are clients such as PC's, that require it.

-r  The -r option allows mount RPCs requests for regular files to be served. Although this seems to violate the mount protocol specification, some diskless workstations do mount requests for their swapfiles and expect them to be regular files. Since a regular file cannot be specified in /etc/exports, the entire file system that the swapfiles reside in will have to be exported with the ``-alldirs'' flag.

exportsfile
    The exportsfile argument specifies an alternate location for the exports file.

When mountd is started, it loads the export host addresses and options into the kernel using the mount(2) system call. After changing the exports file, a hangup signal should be sent to the mountd daemon to get it to reload the export information. After sending the SIGHUP (kill -HUP `cat /var/run/mountd.pid`), check the syslog output to see if mountd logged any parsing errors in the exports file.

If mountd detects that the running kernel does not include NFS support, it will attempt to load a loadable kernel module containing NFS code, using modload(8) by way of vfsload(3). If this fails, or no NFS LKM was available, mountd exits with an error.

FILES
/etc/exports
    the list of exported filesystems
/var/run/mountd.pid
    the pid of the currently running mountd
/var/db/mountdtab
    the current list of remote mounted filesystems

SEE ALSO
nfsstat(1), exports(5), modload(8), nfsd(8), portmap(8), showmount(8)

HISTORY
The mountd utility first appeared in 4.4BSD.